unbounded-delays-0.1.1.1: Unbounded thread delays and timeouts

Safe Haskell | Safe
Language | Haskell98

Control.Concurrent.Thread.Delay

Description

Arbitrarily long thread delays.

Synopsis

- delay :: Integer -> IO ()

# Documentation

delay :: Integer -> IO () Source #

Like `Control.Concurrent.`threadDelay``, but not bounded by an `Int`.

Suspends the current thread for a given number of microseconds (GHC only).

There is no guarantee that the thread will be rescheduled promptly when the delay has expired, but the thread will never continue to run earlier than specified.